Get a settlement order
curl --request GET \
--url https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"orderId": "<string>",
"quoteId": "<string>",
"organizationId": "<string>",
"sourceAddress": "0x2222222222222222222222222222222222222222",
"destinationAddress": "0x2222222222222222222222222222222222222222",
"status": "CREATED",
"health": "HEALTHY",
"fundsStatus": "IN_USER_WALLET",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reference": "<string>",
"burnTxHash": "<string>",
"messageHash": "<string>",
"burnNonce": "<string>",
"burnedAt": "2023-11-07T05:31:56Z",
"stuckReason": "<string>"
}
}{
"error": "<string>"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"stage": "<string>",
"fundsStatus": "<string>",
"fundsMoved": true,
"retryable": true,
"nextAction": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"stage": "<string>",
"fundsStatus": "<string>",
"fundsMoved": true,
"retryable": true,
"nextAction": "<string>",
"requestId": "<string>"
}
}Settlement
Get a settlement order
GET
https://api.copby.digitalcop.shop
/
api
/
integrations
/
settlements
/
orders
/
{orderId}
Get a settlement order
curl --request GET \
--url https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.copby.digitalcop.shop/api/integrations/settlements/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"orderId": "<string>",
"quoteId": "<string>",
"organizationId": "<string>",
"sourceAddress": "0x2222222222222222222222222222222222222222",
"destinationAddress": "0x2222222222222222222222222222222222222222",
"status": "CREATED",
"health": "HEALTHY",
"fundsStatus": "IN_USER_WALLET",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reference": "<string>",
"burnTxHash": "<string>",
"messageHash": "<string>",
"burnNonce": "<string>",
"burnedAt": "2023-11-07T05:31:56Z",
"stuckReason": "<string>"
}
}{
"error": "<string>"
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"stage": "<string>",
"fundsStatus": "<string>",
"fundsMoved": true,
"retryable": true,
"nextAction": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"stage": "<string>",
"fundsStatus": "<string>",
"fundsMoved": true,
"retryable": true,
"nextAction": "<string>",
"requestId": "<string>"
}
}Authorizations
Integration API key. Send as Bearer copby_live_pk_….
Path Parameters
Response
Organization-owned settlement order
Hide child attributes
Hide child attributes
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x2222222222222222222222222222222222222222"
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x2222222222222222222222222222222222222222"
Available options:
CREATED, BURNED, ATTESTED, MINTED, ROUTING, ROUTED, DELIVERED, REFUND_PENDING, REFUNDING, REFUNDED, FAILED Available options:
HEALTHY, STUCK Available options:
IN_USER_WALLET, BURNED_ON_ARC, AWAITING_ATTESTATION, USDC_ON_ARBITRUM, IN_TRANSIT_TO_CELO, USDM_ON_CELO, COPM_ON_CELO, DELIVERED_TO_DESTINATION, REFUND_IN_TRANSIT, REFUNDED_TO_SOURCE, UNKNOWN